lkml.org 
[lkml]   [2008]   [May]   [3]   [last100]   RSS Feed
Views: [more markup]  [less markup]  [headers]  [forward] 
 
Messages in this thread
/
FromRoland Kuhn <>
SubjectRe: cross-compiling on OS X, make menuconfig fails
DateSat, 3 May 2008 10:40:14 +0200
Hi Steve!

On 3 May 2008, at 08:55, SL Baur wrote:

> On 4/29/08, Sam Ravnborg <sam@ravnborg.org> wrote:
>>>
>>> Good grief, folks...
>>
>> Thanks Al.
>> I've queued up the following patch.
>>
>>        Sam
>>
>> commit c99cc32e0d92f5fdbdd39a7f42cfff869062fff5
>> Author: Sam Ravnborg <sam@uranus.ravnborg.org>
>> Date:   Tue Apr 29 20:02:44 2008 +0200
>>
>>    kconfig: made check-lxdialog more portable
>>
>>    OS-X shell did not like 'echo -e' so implement
>>    suggestion from Al Viro to use a more portable construct.
>>
>>    Signed-off-by: Sam Ravnborg <sam@ravnborg.org>
>>    Cc: Al Viro <viro@ZenIV.linux.org.uk>
>>
>> diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/ 
>> kconfig/lxdialog/check-lxdialog.sh
>> index 62e1e02..5552154 100644
>> --- a/scripts/kconfig/lxdialog/check-lxdialog.sh
>> +++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
>> @@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
>>
>>  # Check if we can link to ncurses
>>  check() {
>> -       echo -e " #include CURSES_LOC \n main() {}" |
>> -           $cc -xc - -o $tmp 2> /dev/null
>> +        $cc -xc - -o $tmp 2>/dev/null <<'EOF'
>>
>> +#include CURSES_LOC
>> +main() {}
>> +EOF
>>
>>        if [ $? != 0 ]; then
>>            echo " *** Unable to find the ncurses libraries or  
>> the"       1>&2
>>            echo " *** required header  
>> files."                            1>&2
>
> This looks O.K.  As a note, whatever behavior is being described here
> is system dependent, because on my installation of that other OS,  
> `echo -e'
> works fine whether it is invoked as /bin/bash or /bin/sh which  
> appears to be
> a strict copy of /bin/bash.
>
> $ uname -v
> Darwin Kernel Version 8.11.1: Wed Oct 10 18:23:28 PDT 2007;
> root:xnu792.25.20~1/RELEASE_I386
>
Yes, they changed that between Tiger and Leopard, where I have

---
$ uname -v
Darwin Kernel Version 9.2.2: Tue Mar  4 21:17:34 PST 2008;  
root:xnu-1228.4.31~1/RELEASE_I386
$ /bin/bash -c 'echo -e "buh\n"'
buh
$ /bin/sh -c 'echo -e "buh\n"'
-e buh

$ /bin/echo -e "buh\n"
-e buh\n
---
The second one is POSIX+XSI, the third one plain POSIX. The first one  
is what people are used to ;-)

Ciao,
                     Roland

--
Any society that would give up a little liberty to gain a little
security will deserve neither and lose both.  - Benjamin Franklin
-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GS/CS/M/MU d-(++) s:+ a-> C+++ UL++++ P+++ L+++ E(+) W+ !N K- w--- M+ ! 
V Y+
PGP++ t+(++) 5 R+ tv-- b+ DI++ e++++ h---- y+++
------END GEEK CODE BLOCK------


[unhandled content-type:application/pgp-signature]
\
 
 \ /
  Last update: 2008-05-03 10:43    [from the cache]
©2003-2008